Why can't I log in to my Lengow account?

In accordance with the recommendations of recognised security organisations, the Lengow platform will disable TLS versions 1.0 and 1.1 from 31 March 2021 (TLS versions 1.2 and 1.3 will remain active). 

From that date on, you may need to upgrade your browser to a more recent version in order to access your Lengow account.

Want to know more about this evolution?
0%
0%